# Lodging_ListByState

Get all udf ds data for your company by US state.

`GET /v1/atcse/company/{company}/UdfDs/State/{state}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Lodging
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Lodging/Lodging_ListByState/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | company id. |
| `state` | string | path | Yes | US state. |
| `query` | string | query | No | query filter. |
| `validate` | boolean | query | No | If true, checks if the tax is current and returns an extra field (isCurrent) for each record. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 403 | Forbidden | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/company/{company}/UdfDs/State/{state}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```